package cn.com.poc.thirdparty.resource.demand.ai.entity;

import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2023/3/6
 **/
public class BaiduErrorResult extends AbstractResult implements Serializable {

//    @JSONField(name = "error")
    private String error;

    //    @JSONField(name = "error_description")
    private String errorDescription;

    //    @JSONField(name = "error_code")
    private Integer errorCode;

    //    @JSONField(name = "error_msg")
    private String errorMsg;

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public String getErrorDescription() {
        return errorDescription;
    }

    public void setErrorDescription(String errorDescription) {
        this.errorDescription = errorDescription;
    }

    public Integer getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(Integer errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
